summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBryan Stine <battousai@gentoo.org>2005-07-31 05:21:10 +0000
committerBryan Stine <battousai@gentoo.org>2005-07-31 05:21:10 +0000
commit3e7e4418c6dfc227ebbd579661f6db28d4f63ded (patch)
treef87b3492b569f8cfed1a74043d01a1866782eb00 /app-admin/bastille/files
parentStable amd64 (diff)
downloadgentoo-2-3e7e4418c6dfc227ebbd579661f6db28d4f63ded.tar.gz
gentoo-2-3e7e4418c6dfc227ebbd579661f6db28d4f63ded.tar.bz2
gentoo-2-3e7e4418c6dfc227ebbd579661f6db28d4f63ded.zip
Bump to 3.0.2, major patch updates.
(Portage version: 2.0.51.22-r1)
Diffstat (limited to 'app-admin/bastille/files')
-rw-r--r--app-admin/bastille/files/bastille-3.0.2-firewall.init42
-rw-r--r--app-admin/bastille/files/digest-bastille-3.0.22
2 files changed, 44 insertions, 0 deletions
diff --git a/app-admin/bastille/files/bastille-3.0.2-firewall.init b/app-admin/bastille/files/bastille-3.0.2-firewall.init
new file mode 100644
index 000000000000..5537418db804
--- /dev/null
+++ b/app-admin/bastille/files/bastille-3.0.2-firewall.init
@@ -0,0 +1,42 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/bastille/files/bastille-3.0.2-firewall.init,v 1.1 2005/07/31 05:21:10 battousai Exp $
+
+opts="start stop"
+BASTILLEPREFIX="/usr/share/Bastille"
+
+depend() {
+ need logger
+}
+
+start() {
+ # "Borrowed" from the original bastille-firewall init script ((c) P. Watkins)
+ REALSCRIPT=${BASTILLEPREFIX}/bastille-ipchains
+ if [ -n "$(uname -r | awk -F. ' $1 == 2 && $2 > 2 {print}')" ]; then
+ # We are using Linux 2.3 or newer; use the netfilter script if available
+ if [ -x ${BASTILLEPREFIX}/bastille-netfilter ]; then
+ REALSCRIPT=${BASTILLEPREFIX}/bastille-netfilter
+ fi
+ fi
+
+ ebegin "Starting bastille-firewall"
+ $REALSCRIPT start
+ eend $? "Failed to start bastille-firewall"
+}
+
+stop() {
+ # "Borrowed" from the original bastille-firewall init script ((c) P. Watkins)
+ REALSCRIPT=${BASTILLEPREFIX}/bastille-ipchains
+ if [ -n "$(uname -r | awk -F. ' $1 == 2 && $2 > 2 {print}')" ]; then
+ # We are using Linux 2.3 or newer; use the netfilter script if available
+ if [ -x ${BASTILLEPREFIX}/bastille-netfilter ]; then
+ REALSCRIPT=${BASTILLEPREFIX}/bastille-netfilter
+ fi
+ fi
+
+ ebegin "Stopping bastille-firewall"
+ $REALSCRIPT stop
+ eend $? "Failed to stop bastille-firewall"
+}
+
diff --git a/app-admin/bastille/files/digest-bastille-3.0.2 b/app-admin/bastille/files/digest-bastille-3.0.2
new file mode 100644
index 000000000000..7db9702f0c71
--- /dev/null
+++ b/app-admin/bastille/files/digest-bastille-3.0.2
@@ -0,0 +1,2 @@
+MD5 660f3cbcff517e7c9957f3f0248ff337 Bastille-3.0.2.tar.bz2 328161
+MD5 15e5d3d52bb431da818b3f87d88e8b98 bastille-3.0.2-gentoo-0.1.patch.bz2 16334